---
- name: Docker Installation & Deployment
  hosts: workers
  tasks: 
    - name: Install Docker 
      apt: 
        name: docker.io
        state: present
    - name: Install Docker Compose 
      apt: 
        name: docker-compose
        state: present
    - name: Copy Docker Compose file 
      copy:
        src: ../dockercompose/docker-compose.yaml
        dest: /var/docker-compose.yaml
        force: yes 
    - name: Run Docker compose file 
      command: docker-compose up -d
      args:
        chdir: /var


